This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 982118 - blueman-applet must install depended icon theme.
blueman-applet must install depended icon theme.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
19
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 03:54 EDT by Pavel Shumskii
Modified: 2015-02-17 10:57 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:57:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Shumskii 2013-07-08 03:54:54 EDT
Description of problem:

After installing blueman-applet from yum, i had an arror while starting it:


[1m__load_plugin[0m (/usr/lib/python2.7/site-packages/blueman/main/PluginManager.py:142)
loading <class 'blueman.pluTraceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/blueman/plugins/BasePlugin.py", line 65, in _load
    self.on_load(parent)
  File "/usr/lib/python2.7/site-packages/blueman/plugins/applet/StandardItems.py", line 38, in on_load
    self.new_dev = create_menuitem(_("_Setup New Device")+"...", get_icon("gtk-new", 16))
  File "/usr/lib/python2.7/site-packages/blueman/Functions.py", line 183, in get_icon
    icon = ic.load_icon("gtk-missing-image", size, 0)
GError: Icon 'gtk-missing-image' not present in theme


Version-Release number of selected component (if applicable):
blueman-applet version 1.23

How reproducible:

On my PC i use theme: sNet/ThemeName=Adwaita

 ~/.config/lxsession/LXDE/desktop.conf : 
[Session]
window_manager=openbox-lxde
 
[GTK]
sNet/ThemeName=Adwaita
sNet/IconThemeName=Fedora
sGtk/FontName=Sans 10
iGtk/ToolbarStyle=1
iGtk/ButtonImages=0
iGtk/MenuImages=0
iGtk/CursorThemeSize=18
iXft/Antialias=1
sGtk/IMModule=gtk-im-context-simple:xim
sGtk/ColorScheme=
sGtk/CursorThemeName=Adwaita
iGtk/ToolbarIconSize=2
iNet/EnableEventSounds=0
iNet/EnableInputFeedbackSounds=0
iXft/Hinting=1
sXft/HintStyle=hintmedium
sXft/RGBA=rgb
 
[Mouse]
AccFactor=20
AccThreshold=10
LeftHanded=0
 
[Keyboard]
Delay=500
Interval=30

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

As far as i searched in internet, blueman-applet wahnts an image from istalled theme. This image is notpresent there. So i should install some suitable icon theme.

For me i solved problem by installing gnome-icon-theme-legacy.noarch.

I think blueman should depended some icon theme to use needed icons from it.
Or all icons should be built in the packages.
Comment 1 Fedora End Of Life 2015-01-09 13:45:26 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 10:57:40 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.